%define name evolvotron
%define version 0.2.0
%define release 1mdk

Summary: Interactive "generative art" software
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Toys
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://evolvotron.sf.net
Buildrequires: qt3-devel

%description
Evolvotron Interactive "generative art" software to evolve
images/textures/patterns through an iterative process of random
mutation and user-selection driven evolution.  If you like lava lamps,
and still think the Mandelbrot set is cool, this could be the software
for you.

%prep
%setup -q -n %name

%build
export QTDIR=%_libdir/qt3
export PATH=$QTDIR/bin:$PATH
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_bindir
install -m 755 evolvotron/evolvotron evolvotron_mutate/evolvotron_mutate \
  evolvotron_render/evolvotron_render %buildroot%_bindir

install -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): \
needs="x11" \
section="Amusement/Toys" \
title="Evolvotron" \
longtitle="Interactive generative art software" \
command="%{name}" \
icon="toys_section.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
 
%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README CHANGES LICENSE TODO
%_bindir/%{name}*
%_menudir/%name

%changelog
* Wed Sep 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- fix buildrequires
- new version

* Tue Jul 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- new version

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- fix build
- new version

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- initial package
